Skip to main content
GET
/
api
/
public
/
v1
/
hip4
/
settlements
/
recent
Get API public v1 hip4 settlements recent
curl --request GET \
  --url https://api.coinversa.ai/api/public/v1/hip4/settlements/recent \
  --header 'X-API-Key: <api-key>'
{
  "count": 123,
  "settlements": [
    {
      "loserFills": 123,
      "outcomeId": 123,
      "settledAt": "<string>",
      "totalLoserLoss": 123,
      "totalWinnerPayout": 123,
      "winnerFills": 123,
      "winningSide": 123
    }
  ],
  "$schema": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.coinversa.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

Query Parameters

limit
integer<int64>
default:50

Max settlements to return (1..200, default 50)

hours
integer<int64>
default:168

Look-back window in hours (default 168, max 720)

Response

OK

count
integer<int64>
required
settlements
object[] | null
required
$schema
string<uri>
read-only

A URL to the JSON Schema for this object.

Example:

"https://example.com/schemas/HIP4SettlementsBody.json"